Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## eu.osci
Enum AddressingHeaderTag

    java.lang.Object
      java.lang.Enum<AddressingHeaderTag>
          eu.osci.AddressingHeaderTag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AddressingHeaderTag>

    public enum AddressingHeaderTag

extends java.lang.Enum<AddressingHeaderTag>

The addressing header tags.
Copyright © 2010 Freie Hansestadt Bremen.
Created by bremen online services Entwicklungs- und Betriebsgesellschaft mbH & Co. KG.
This library (Starter Kit) can be used by anybody according to the Bremer Lizenz für freie Softwarebibliotheken. The license terms can be viewed at www.osci.de or can be ordered at the OSCI-Leitstelle (Die Senatorin für Finanzen, Freie Hansestadt Bremen, Postfach 10 15 40, 28015 Bremen).

Enum Constant Summary
`ACTION` The QName for the addressing 'Action' element.
`FAULT_TO` The QName for the addressing 'FaultTo' element.
`FROM` The QName for the addressing 'From' element.
`MESSAGEID` The QName for the addressing 'MessageID' element.
`METADATA` The QName for the addressing 'Metadata' element.
`RELATES_TO` The QName for the addressing 'RelatesTo' element.
`REPLY_TO` The QName for the addressing 'ReplyTo' element.
`TO` The QName for the addressing 'To' element.

Method Summary
`javax.xml.namespace.QName` | `getQName()` Returns the property value.
`static AddressingHeaderTag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AddressingHeaderTag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ACTION

    public static final AddressingHeaderTag ACTION

  The QName for the addressing 'Action' element.

### RELATES_TO

    public static final AddressingHeaderTag RELATES_TO

  The QName for the addressing 'RelatesTo' element.

### FROM

    public static final AddressingHeaderTag FROM

  The QName for the addressing 'From' element.

### FAULT_TO

    public static final AddressingHeaderTag FAULT_TO

  The QName for the addressing 'FaultTo' element.

### MESSAGEID

    public static final AddressingHeaderTag MESSAGEID

  The QName for the addressing 'MessageID' element.

### REPLY_TO

    public static final AddressingHeaderTag REPLY_TO

  The QName for the addressing 'ReplyTo' element.

### METADATA

    public static final AddressingHeaderTag METADATA

  The QName for the addressing 'Metadata' element.

### TO

    public static final AddressingHeaderTag TO

  The QName for the addressing 'To' element.

Method Detail

### values

    public static AddressingHeaderTag[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AddressingHeaderTag c : AddressingHeaderTag.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AddressingHeaderTag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getQName

    public javax.xml.namespace.QName getQName()

  Returns the property value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Freie Hansestadt Bremen.